### Method

# Gtk MediaFileset_input_stream

#### Declaration [src]

    void
    gtk_media_file_set_input_stream (
      GtkMediaFile* self,
      GInputStream* stream
    )

#### Description [src]

Sets the `GtkMediaFile` to play the given stream.

If anything is still playing, stop playing it.

Full control about the `stream` is assumed for the duration of playback. The stream will not be closed.

Sets property | `Gtk.MediaFile:input-stream`

#### Parameters

`stream`

  Type: `GInputStream`

  The stream to play from.

  The argument can be `NULL`.
  The data is owned by the caller of the method.